Name:           w3c-markup-validator
Version:        0.8.6
Release:        4%{?dist}
Summary:        W3C Markup Validator

Group:          Applications/Internet
License:        W3C
URL:            http://validator.w3.org/
# Source0 created with Source99
Source0:        %{name}-%{version}.tar.xz
Source99:       %{name}-prepare-tarball.sh
# Not upstreamable
Patch0:         %{name}-0.8.6-config.patch
# Not upstreamable
Patch1:         %{name}-0.8.6-syspaths.patch
# Not upstreamable,
# https://www.redhat.com/archives/fedora-legal-list/2009-February/msg00015.html
Patch2:         %{name}-0.8.6-valid-icons.patch
# Not upstreamable,
# https://www.redhat.com/archives/fedora-legal-list/2009-February/msg00020.html
Patch3:         %{name}-0.8.6-iso-html.patch

# Post 0.8.6 upstream
Patch5:         %{name}-0.8.6-xmlenc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  %{__perl}
BuildRequires:  xz
Requires:       httpd
Requires:       %{name}-libs = %{version}
Requires:       perl(HTML::Tidy)

%description
The W3C Markup Validator checks documents like HTML and XHTML for
conformance to W3C Recommendations and other standards.

%package        libs
Summary:        SGML and XML DTDs for the W3C Markup Validator
Group:          Applications/Text
Requires:       sgml-common
Requires:       html401-dtds
Requires:       xhtml1-dtds >= 1.0

%description    libs
SGML and XML DTDs for the W3C Markup Validator.


%prep
rm -rf validator-%{version}
xz -dc %{SOURCE0} | tar -xf -
if [ $? -ne 0 ]; then
  exit $?;
fi
%setup -T -D -n validator-%{version}

# Remove not needed stuff
rm -r htdocs/sgml-lib/REC-html401-19991224
rm -r htdocs/sgml-lib/REC-xhtml1-20020801
rm htdocs/images/markup_validation_service.psd

%patch5 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv htdocs/sgml-lib .

# Localize configs.
%{__perl} -pi -e \
  's|/usr/local/validator\b|%{_datadir}/%{name}|' \
  htdocs/config/validator.conf httpd/conf/httpd.conf httpd/cgi-bin/*
%{__perl} -pi -e \
  's|\$Base/htdocs/sgml-lib|%{_datadir}/sgml/%{name}| ;
   s|\$Base/htdocs/config/tidy\.conf|%{_sysconfdir}/w3c/tidy.conf|' \
  htdocs/config/validator.conf

# Move config out of the way
mv htdocs/config __config


%build


%install
rm -rf $RPM_BUILD_ROOT

# Config files
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/w3c
install -pm 644 __config/* $RPM_BUILD_ROOT%{_sysconfdir}/w3c
install -Dpm 644 httpd/conf/httpd.conf \
  $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

# Scripts, HTML, etc.
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pR httpd/cgi-bin htdocs share $RPM_BUILD_ROOT%{_datadir}/%{name}

# SGML library
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/sgml
cp -pR sgml-lib $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}
ln -s ../html/4.01 $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}/REC-html401-19991224
ln -s ../../sgml/xhtml1/xhtml1-20020801/DTD $RPM_BUILD_ROOT%{_datadir}/sgml/%{name}/REC-xhtml1-20020801
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sgml
touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ $1 -eq 1 ] && %{_initrddir}/httpd reload &>/dev/null || :

%postun
%{_initrddir}/httpd reload &>/dev/null || :

%post libs
for catalog in sgml.soc xml.soc ; do
  install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/sgml/%{name}/$catalog >/dev/null 2>&1 || :
done

%preun libs
for catalog in sgml.soc xml.soc ; do
  install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/sgml/%{name}/$catalog >/dev/null 2>&1 || :
done


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%dir %{_sysconfdir}/w3c/
%config(noreplace) %{_sysconfdir}/w3c/charset.cfg
%config(noreplace) %{_sysconfdir}/w3c/tidy.conf
%config(noreplace) %{_sysconfdir}/w3c/tips.cfg
# These are incompatible to some extent between releases, check noreplace
%config %{_sysconfdir}/w3c/types.conf
%config(noreplace) %{_sysconfdir}/w3c/validator.conf
%{_datadir}/%{name}/

%files libs
%defattr(-,root,root,-)
%ghost %config %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat
%{_datadir}/sgml/%{name}/


%changelog
* Mon Jun 25 2012 Nathanael Noblet <nathanael@gnat.ca> - 0.8.6-4
- Removed non-needed hans patch as it has been packaged

* Tue Apr 13 2010 Nathanael Noblet <nathanael@gnat.ca> - 0.8.6-3
- actually fix symlink to xhtml1-dtds
- adjust xhtml1-dtds requirement

* Mon Apr 12 2010 Nathanael Noblet <nathanael@gnat.ca> - 0.8.5-2
- Initial EL5 build
- fix symlink to xhtml1-dtds

* Wed Nov 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.4-1
- 0.7.4.

* Tue Oct 31 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.3-2
- Reference HTML 4.01 DTDs directly instead of making all system catalogs
  available - something in the catalogs breaks at least XHTML 1.0 (#213131).
- Use system XHTML 1.0 DTDs.

* Mon Oct 23 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.3-1
- 0.7.3, feedback and undebian patches applied upstream.
- Use "W3C License" as the License tag to appease rpmlint.

* Fri Sep 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-4
- Fix feedback view, remove references to Debian (#206617).

* Sat Aug 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-3
- Patch to allow use of system catalogs and DTDs, use system html401-dtds.
- Make config files noreplace again.
- Drop no longer needed Obsoletes.
- Allow FTP by default.

* Wed Mar 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-2
- Rebuild due to #187173, SELinux issues are being worked on in #182673.

* Mon Feb 20 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-1
- 0.7.2, Config::General compat patch applied upstream.

* Sun Jan 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.7.1-1
- Require opensp >= 1.5, not openjade.
- Patch to work with Config::General 2.31.

* Sat Oct  8 2005 Ville Skyttä <ville.skytta at iki.fi>
- 0.7.1.

* Fri Sep 23 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.7.0-1
- 0.7.0.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.7-2
- rebuilt

* Sun Jul 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.7-0.fdr.1
- Update to 0.6.7.

* Sat May 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.6-0.fdr.1
- Update to 0.6.6.
- Include local source/index.html in the package.

* Fri May  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.fdr.1
- Update to 0.6.5.

* Fri Apr 30 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.6.5-0.fdr.0.1.beta3
- Update to 0.6.5 beta 3.

* Sat Apr 24 2004 Ville Skyttä <ville.skytta at iki.fi> 0:0.6.5-0.fdr.0.1.beta2
- Apply fdr naming scheme.

* Sat Apr 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.beta2.2
- Make httpd reload its config after install, upgrade and erase.
- Fix a couple of paths for beta2.

* Sat Apr 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.beta2.1
- Update to 0.6.5 beta 2.

* Mon Apr  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.beta1.3
- The link checker is now available separately from CPAN.

* Mon Dec  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.beta1.2
- Cleanups.

* Fri Aug 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.5-0.beta1.1
- Update to 0.6.5 beta 1.

* Sat Aug 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-5w3c
- Requires openjade >= 0:1.3.2 (Red Hat packages OpenSP 1.5 there).

* Wed Jul 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-4w3c
- Include checklink manual page.
- Some spec file cleanups.

* Thu Jul 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-3w3c
- Requires perl(Net::IP).

* Fri Jul  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-2w3c
- Use aliasing instead of hardcoded docroot in httpd configuration.

* Mon Apr 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-1w3c
- Update to 0.6.2.
- Rename to w3c-markup-validator.
- Install our catalogs if %%{_bindir}/install-catalog is available.
- Add Epoch: 0.

* Sun Dec  1 2002 Ville Skyttä <ville.skytta at iki.fi> - 0.6.1-1w3c
- Update to 0.6.1.

* Fri Nov 29 2002 Ville Skyttä <ville.skytta at iki.fi> - 0.6.0-1w3c
- First release.
